Page MenuHomePhabricator

elm_code: Add scope awareness to parser
Closed, ResolvedPublic

Description

Each line should have an understanding of it's scope level.
It may also be necessary to indicate if the line ends having created a new scope as well (i.e. { in c or : in python)

OK, this is started. It tracks a (trivial) scope depth in the parser.
Closing braces are marked as out of scope as it tracks the end of the line - probably needs further investigation as to how to render or understand correctly the scope change in a line.

ajwillia.ms moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.Nov 19 2017, 2:10 PM
ajwillia.ms moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.Dec 11 2017, 9:54 AM
ajwillia.ms closed this task as Resolved.Sep 6 2018, 12:54 AM

First pass is done, we can revisit to see what needs to be added for 0.8 if anything